#!/usr/bin/perl -w
#
##########################################################################
#
# CKGreet 1.2
# Mit Hilfe dieses Skriptes kann man unter Verwendung von SSI
# den Besucher einer Homepage je nach Tageszeit mit einer
# anderen Begrung begren.
#
# Weitere Information auf http://www.CKScripts.de
#
##########################################################################
#
# Copyright (c) 2003, Christoph Knoche
#                     info@CKScripts.de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
##########################################################################
# Following variables have to be adapted
# These are the greetings for the morning, afternoon and evening
my @greetings = ( "Good morning", "Good afternoon", "Good evening" );

# Set debug. If $debugMode = 1,
# the date and time will be shown additionally, e.g. for
# controlling the server time and adjusting $timeOffset
my $debugMode = 0;

# If there's a difference between local time and server time,
# the difference can be adjusted.
# E.g. server time: 4:00 PM, your local time: 2:00 PM, difference: -2 hours,
# so $timeOffset = -2;
my $timeOffset = 0;

########## Ab hier nichts mehr ndern ################

use CGI::Carp qw( fatalsToBrowser ); # Fehlermeldungen an den Browser senden
use strict;                          # strenge Einhaltung der Syntax

# Ausgabepuffer ausschalten
$| = 1;

# Zeitverschiebung
$timeOffset = $timeOffset * 3600;

# Die aktuelle Zeit wird mit Hilfe des 
# Standardmoduls Time::localtime ermittelt
use Time::localtime;

my $time = localtime;

my $hour = $time->hour;

my $greet = undef;

# Begre mit "Guten Morgen" zwischen
# 02:00 und 12:00
if ( $hour > 1 && $hour < 12 ) {
    $greet = "$greetings[ 0 ]";
}
# Begre mit "Hallo" zwischen
# 12:00 und 18:00
elsif ( $hour >= 12 && $hour < 18 ) {
    $greet = "$greetings[ 1 ]";
}
# Begre mit "Guten Abend" zwischen
# 18:00 und 02:00
else {
    $greet = "$greetings[ 2 ]";
}

# Falls der Debug-Modus gewhlt ist,
# komplettes Datum angeben
if ( $debugMode == 1 ) {
    my $debugDate = ctime(time);   
    $greet = $greet . "<br>" . $debugDate;
}

# Header an den Browser senden
print "Content-Type: text/html\n\n";

# Begrung an den Browser senden
print $greet;

# Ende Programmes
exit( 0 );